%define upstream_name    Test-NeedsDisplay
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Ensure that tests needing a display have one
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: x11-server-xvfb
BuildArch: noarch

Requires: x11-server-xvfb

%description
When testing GUI applications, sometimes applications or modules absolutely
insist on a display, even just to load a module without actually showing
any objects.

Regardless, this makes GUI applications pretty much impossible to build and
test on headless or automated systems. And it fails to the point of not
even running the Makefile.PL script because a dependency needs a display so
it can be loaded to find a version.

In these situations, what is needed is a fake display.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#%check
#make test

%install
%make_install

%files
%doc README LICENSE Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.70.0-14.mga10
+ Revision: 2213265
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 1.70.0-13.mga9
+ Revision: 1837526
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-12.mga8
+ Revision: 1506496
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.70.0-11.mga7
+ Revision: 1286682
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.70.0-10.mga7
+ Revision: 1166848
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.70.0-9.mga7
+ Revision: 1159363
- add BR on perl(inc::Module::Install)
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-7.mga6
+ Revision: 1034419
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.70.0-6.mga6
+ Revision: 947700
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-5.mga5
+ Revision: 742199
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 686499
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.70.0-3.mga4
+ Revision: 515238
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 373666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 28807
- mageia rebuild
- imported package perl-Test-NeedsDisplay

